Public Member Functions

# wxFFileStream Class Reference
[Streams]

`#include <wx/wfstream.h>`

Inheritance diagram for wxFFileStream:
[legend]

## Detailed Description

This stream allows to both read from and write to a file using buffered STDIO functions.

##

Library: wxBase
Category: Streams

See also:
  wxFFileInputStream, wxFFileOutputStream, wxFileStream

## Public Member Functions
| wxFFileStream (const wxString &iofileName, const wxString &mode="w+b")
| Initializes a new file stream in the given mode using the specified iofileName name.
bool | IsOk () const
| Returns true if the stream is initialized and ready.

List of all members.

## Constructor & Destructor Documentation

wxFFileStream::wxFFileStream | ( | const wxString & | iofileName,
|  | const wxString & | mode = `"w+b"` |
| ) |  |  |

Initializes a new file stream in the given mode using the specified iofileName name.

Warning:
  You should use wxStreamBase::IsOk() to verify if the constructor succeeded.

## Member Function Documentation

bool wxFFileStream::IsOk | ( |  | ) | const`[virtual]`

Returns true if the stream is initialized and ready.

This method returns true if the stream can be both read from and written to.

Reimplemented from wxFFileOutputStream.

|  | [ top ]